- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Static Public Member Functions | List of all members
qi::DefaultTypeImplMethods< T, _Access > Class Template Reference

`#include <typeimpl.hxx>`

## Public Types
using | Access = _Access

## Static Public Member Functions
static void * | initializeStorage (void *ptr=0)
static void * | ptrFromStorage (void **storage)
static const TypeInfo & | info ()
static void * | clone (void *src)
static void | destroy (void *ptr)
static bool | less (void *a, void *b)

## Detailed Description

### template<typename T, typename _Access = TypeByPointer<T>>
class qi::DefaultTypeImplMethods< T, _Access >

Definition at line 228 of file typeimpl.hxx.

## Member Typedef Documentation

template<typename T , typename _Access = TypeByPointer<T>>

using qi::DefaultTypeImplMethods< T, _Access >::Access = _Access

Definition at line 231 of file typeimpl.hxx.

## Member Function Documentation

template<typename T , typename _Access = TypeByPointer<T>>

static void* qi::DefaultTypeImplMethods< T, _Access >::clone | ( | void * | src | ) |
| inline static

Definition at line 249 of file typeimpl.hxx.

template<typename T , typename _Access = TypeByPointer<T>>

static void qi::DefaultTypeImplMethods< T, _Access >::destroy | ( | void * | ptr | ) |
| inline static

Definition at line 254 of file typeimpl.hxx.

template<typename T , typename _Access = TypeByPointer<T>>

static const TypeInfo& qi::DefaultTypeImplMethods< T, _Access >::info | ( |  | ) |
| inline static

Definition at line 243 of file typeimpl.hxx.

template<typename T , typename _Access = TypeByPointer<T>>

static void* qi::DefaultTypeImplMethods< T, _Access >::initializeStorage | ( | void * | ptr = `0` | ) |
| inline static

Definition at line 233 of file typeimpl.hxx.

template<typename T , typename _Access = TypeByPointer<T>>

static bool qi::DefaultTypeImplMethods< T, _Access >::less | ( | void * | a,
|  | void * | b
| ) |  |
| inline static

Definition at line 259 of file typeimpl.hxx.

template<typename T , typename _Access = TypeByPointer<T>>

static void* qi::DefaultTypeImplMethods< T, _Access >::ptrFromStorage | ( | void ** | storage | ) |
| inline static

Definition at line 238 of file typeimpl.hxx.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/typeimpl.hxx